import { jsx } from "react/jsx-runtime";
import { TokenUSH as TokenUSH$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenUSH = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "USH", "data-name": "TokenUSH", ...props, children: /* @__PURE__ */ jsx(TokenUSH$1, { variant }) });
  }
);
TokenUSH.displayName = "TokenUSH";
Object.assign(TokenUSH, { isGdsIcon: true });
export {
  TokenUSH
};
